darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Debug

Synopsis

- class PatchDebug p where

# Documentation

class PatchDebug p where #

PatchDebug is a hook class for temporarily adding debug information. To use it, add any methods that are required, implement those methods where needed, and then make it available in the relevant contexts. For example it can be temporarily added as a superclass of `Patchy`. The advantage of having it here already is that everything is (or should be) declared as an instance of it, so you can use defaulting or just leave out declarations of instance methods and code will still compile.

Methods

patchDebugDummy :: p wX wY -> () #

A dummy method so we can export/import PatchDebug(..) without triggering warnings

Instances

PatchDebug Prim # |
Methods patchDebugDummy :: Prim wX wY -> () #
PatchDebug DummyPatch # |
Methods patchDebugDummy :: DummyPatch wX wY -> () #
PatchDebug p => PatchDebug (RL p) # |
Methods patchDebugDummy :: RL p wX wY -> () #
PatchDebug p => PatchDebug (FL p) # |
Methods patchDebugDummy :: FL p wX wY -> () #
PatchDebug prim => PatchDebug (RepoPatchV1 prim) # |
Methods patchDebugDummy :: RepoPatchV1 prim wX wY -> () #
PatchDebug p => PatchDebug (Named p) # |
Methods patchDebugDummy :: Named p wX wY -> () #
PatchDebug prim => PatchDebug (RepoPatchV2 prim) # |
Methods patchDebugDummy :: RepoPatchV2 prim wX wY -> () #
PatchDebug p => PatchDebug (RebaseChange p) # |
Methods patchDebugDummy :: RebaseChange p wX wY -> () #
PatchDebug p => PatchDebug (RebaseSelect p) # |
Methods patchDebugDummy :: RebaseSelect p wX wY -> () #
PatchDebug p => PatchDebug (PatchInfoAnd rt p) # |
Methods patchDebugDummy :: PatchInfoAnd rt p wX wY -> () #